Subject: CVS commit: pkgsrc/www/py-wtforms
From: Klaus Klein
Date: 2018-11-12 13:25:51
Message id: 20181112122551.8D87EFB1F@cvs.NetBSD.org

Log Message:
py-wtforms: Update to 2.2.1.

Version 2.2.1
-------------

Released on June 7th, 2018

-   :class:`~fields.StringField` only sets ``data = ''`` when form data
    is empty and an initial value was not provided. This fixes an issue
    where the default value wasn't rendered with the initial form.
    (`#291`_, `#401`_)

.. _#291: https://github.com/wtforms/wtforms/issues/291
.. _#401: https://github.com/wtforms/wtforms/issues/401

Version 2.2
-----------

Released on June 2nd, 2018

-   Merged new and updated translations from the community.
-   Passing ``data_`` args to render a field converts all the
    underscores to hyphens when rendering the HTML attribute, not just
    the first one. ``data_foo_bar`` becomes ``data-foo-bar``. (`#248`_)
-   The :class:`~validators.UUID` validator uses the :class:`uuid.UUID`
    class instead of a regex. (`#251`_)
-   :class:`~fields.SelectField` copies the list of ``choices`` passed
    to it so modifying an instance's choices will not modify the global
    form definition. (`#286`_)
-   Fields call :meth:`~fields.Field.process_formdata` even if the raw
    data is empty. (`#280`_)
-   Added a :class:`~fields.MultipleFileField` to handle a multi-file
    input. :class:`~fields.FileField` continues to handle only one
    value. The underlying :class:`~widgets.FileInput` widget gained a
    ``multiple`` argument. (`#281`_)
-   :class:`~fields.SelectField` choices can contain HTML (MarkupSafe
    ``Markup`` object or equivalent API) and will be rendered properly.
    (`#302`_)
-   :class:`~fields.TimeField` and
    :class:`html5.TimeField <fields.html5.TimeField>` were added.
    (`#254`_)
-   Improved :class:`~validators.Email`. Note that it is still
    unreasonable to validate all emails with a regex and you should
    prefer validating by actually sending an email. (`#294`_)
-   Widgets render the ``required`` attribute when using a validator
    that provides the ``'required'`` flag, such as
    :class:`~validators.DataRequired`. (`#361`_)
-   Fix a compatibility issue with SQLAlchemy 2.1 that caused
    :class:`~ext.sqlalchemy.fields.QuerySelectField` to fail with
    ``ValueError: too many values to unpack``. (`#391`_)

.. _#248: https://github.com/wtforms/wtforms/pull/248
.. _#251: https://github.com/wtforms/wtforms/pull/251
.. _#254: https://github.com/wtforms/wtforms/pull/254
.. _#280: https://github.com/wtforms/wtforms/pull/280
.. _#281: https://github.com/wtforms/wtforms/pull/281
.. _#286: https://github.com/wtforms/wtforms/pull/286
.. _#294: https://github.com/wtforms/wtforms/pull/294
.. _#302: https://github.com/wtforms/wtforms/pull/302
.. _#361: https://github.com/wtforms/wtforms/pull/361
.. _#391: https://github.com/wtforms/wtforms/pull/391

Files:
RevisionActionfile
1.10modifypkgsrc/www/py-wtforms/distinfo
1.8modifypkgsrc/www/py-wtforms/PLIST
1.14modifypkgsrc/www/py-wtforms/Makefile